diff -upr ioquake3svn1438/code/game/g_combat.c ioquake3serverFix/code/game/g_combat.c
--- ioquake3svn1438/code/game/g_combat.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/g_combat.c	2008-08-09 11:28:21.000000000 -0500
@@ -83,10 +83,6 @@ void TossClientItems( gentity_t *self ) 
 	// drop the weapon if not a gauntlet or machinegun
 	weapon = self->s.weapon;
 
-	//Never drop in elimination or last man standing mode!
-	if( g_gametype.integer == GT_ELIMINATION || g_gametype.integer == GT_LMS)
-		return;
-
 	// make a special check to see if they are changing to a new
 	// weapon that isn't the mg or gauntlet.  Without this, a client
 	// can pick up a weapon, be killed, and not drop the weapon because
@@ -100,10 +96,6 @@ void TossClientItems( gentity_t *self ) 
 		}
 	}
 
-	if (g_instantgib.integer || g_rockets.integer || g_gametype.integer == GT_CTF_ELIMINATION){
-	//Nothing!	
-	}
-	else
 	if ( weapon > WP_MACHINEGUN && weapon != WP_GRAPPLING_HOOK && 
 		self->client->ps.ammo[ weapon ] ) {
 		// find the item type for this weapon
@@ -134,7 +126,7 @@ void TossClientItems( gentity_t *self ) 
 	}
 }
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 
 /*
 =================
@@ -187,8 +179,6 @@ void TossClientCubes( gentity_t *self ) 
 	drop->spawnflags = self->client->sess.sessionTeam;
 }
 
-//Sago: moved to here
-#ifdef MISSIONPACK
 
 /*
 =================
@@ -317,13 +307,13 @@ char	*modNames[] = {
 	"MOD_SUICIDE",
 	"MOD_TARGET_LASER",
 	"MOD_TRIGGER_HURT",
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	"MOD_NAIL",
 	"MOD_CHAINGUN",
 	"MOD_PROXIMITY_MINE",
 	"MOD_KAMIKAZE",
 	"MOD_JUICED",
-//#endif
+#endif
 	"MOD_GRAPPLE"
 };
 
@@ -373,7 +363,7 @@ void CheckAlmostCapture( gentity_t *self
 		self->client->ps.powerups[PW_BLUEFLAG] ||
 		self->client->ps.powerups[PW_NEUTRALFLAG] ) {
 		// get the goal flag this player should have been going for
-		if ( g_gametype.integer == GT_CTF || g_gametype.integer == GT_CTF_ELIMINATION) {
+		if ( g_gametype.integer == GT_CTF ) {
 			if ( self->client->sess.sessionTeam == TEAM_BLUE ) {
 				classname = "team_CTF_blueflag";
 			}
@@ -462,11 +452,6 @@ void player_die( gentity_t *self, gentit
 		return;
 	}
 
-//unlagged - backward reconciliation #2
-	// make sure the body shows up in the client's current position
-	G_UnTimeShiftClient( self );
-//unlagged - backward reconciliation #2
-
 	// check for an almost capture
 	CheckAlmostCapture( self, attacker );
 	// check for a player that almost brought in cubes
@@ -526,17 +511,14 @@ void player_die( gentity_t *self, gentit
 		attacker->client->lastkilled_client = self->s.number;
 
 		if ( attacker == self || OnSameTeam (self, attacker ) ) {
-			if(g_gametype.integer!=GT_LMS && !((g_gametype.integer==GT_ELIMINATION || g_gametype.integer==GT_CTF_ELIMINATION) && level.time < level.roundStartTime))
-				AddScore( attacker, self->r.currentOrigin, -1 );
+			AddScore( attacker, self->r.currentOrigin, -1 );
 		} else {
-			if(g_gametype.integer!=GT_LMS)
-				AddScore( attacker, self->r.currentOrigin, 1 );
+			AddScore( attacker, self->r.currentOrigin, 1 );
 
 			if( meansOfDeath == MOD_GAUNTLET ) {
 				
 				// play humiliation on player
 				attacker->client->ps.persistant[PERS_GAUNTLET_FRAG_COUNT]++;
-                                G_LogPrintf( "Award: %i %i: %s gained the %s award!\n", attacker->client->ps.clientNum, 0, attacker->client->pers.netname, "GAUNTLET" );
 
 				// add the sprite over the player's head
 				attacker->client->ps.eFlags &= ~(EF_AWARD_IMPRESSIVE | EF_AWARD_EXCELLENT | EF_AWARD_GAUNTLET | EF_AWARD_ASSIST | EF_AWARD_DEFEND | EF_AWARD_CAP );
@@ -552,7 +534,6 @@ void player_die( gentity_t *self, gentit
 			if ( level.time - attacker->client->lastKillTime < CARNAGE_REWARD_TIME ) {
 				// play excellent on player
 				attacker->client->ps.persistant[PERS_EXCELLENT_COUNT]++;
-                                G_LogPrintf( "Award: %i %i: %s gained the %s award!\n", attacker->client->ps.clientNum, 1, attacker->client->pers.netname, "EXCELLENT" );
 
 				// add the sprite over the player's head
 				attacker->client->ps.eFlags &= ~(EF_AWARD_IMPRESSIVE | EF_AWARD_EXCELLENT | EF_AWARD_GAUNTLET | EF_AWARD_ASSIST | EF_AWARD_DEFEND | EF_AWARD_CAP );
@@ -563,8 +544,7 @@ void player_die( gentity_t *self, gentit
 
 		}
 	} else {
-		if(g_gametype.integer!=GT_LMS && !((g_gametype.integer==GT_ELIMINATION || g_gametype.integer==GT_CTF_ELIMINATION) && level.time < level.roundStartTime))
-			AddScore( self, self->r.currentOrigin, -1 );
+		AddScore( self, self->r.currentOrigin, -1 );
 	}
 
 	// Add team bonuses
@@ -646,11 +626,6 @@ void player_die( gentity_t *self, gentit
 	// don't allow respawn until the death anim is done
 	// g_forcerespawn may force spawning at some later time
 	self->client->respawnTime = level.time + 1700;
-	//However during warm up, we should respawn quicker!
-	if(g_gametype.integer == GT_ELIMINATION || g_gametype.integer == GT_CTF_ELIMINATION || g_gametype.integer == GT_LMS)
-		if(level.time<=level.roundStartTime && level.time>level.roundStartTime-1000*g_elimination_activewarmup.integer)
-			self->client->respawnTime = level.time + rand()%800;
-		
 
 	// remove powerups
 	memset( self->client->ps.powerups, 0, sizeof(self->client->ps.powerups) );
@@ -780,7 +755,7 @@ int RaySphereIntersections( vec3_t origi
 	return 0;
 }
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 /*
 ================
 G_InvulnerabilityEffect
@@ -818,7 +793,7 @@ int G_InvulnerabilityEffect( gentity_t *
 		return qfalse;
 	}
 }
-//#endif
+#endif
 /*
 ============
 T_Damage
@@ -851,8 +826,6 @@ void G_Damage( gentity_t *targ, gentity_
 	int			asave;
 	int			knockback;
 	int			max;
-        
-        
 #ifdef MISSIONPACK
 	vec3_t		bouncedir, impactpoint;
 #endif
@@ -876,20 +849,6 @@ void G_Damage( gentity_t *targ, gentity_
 		}
 	}
 #endif
-        //Sago: This was moved up
-        client = targ->client;
-        
-        //Sago: See if the client was sent flying
-        //Check if damage is by somebody who is not a player!
-        if( (!attacker || attacker->s.eType != ET_PLAYER) && client->lastSentFlying>-1 && ( mod==MOD_FALLING || mod==MOD_LAVA || mod==MOD_SLIME || mod==MOD_TRIGGER_HURT ) )  {
-            if(client->lastSentFlyingTime+3000<level.time) {
-                client->lastSentFlying = -1; //More than 3 seconds, not a kill!
-            } else {
-                //G_Printf("LastSentFlying %i\n",client->lastSentFlying);
-                attacker = &g_entities[client->lastSentFlying];
-            }
-        }
-        
 	if ( !inflictor ) {
 		inflictor = &g_entities[ENTITYNUM_WORLD];
 	}
@@ -904,11 +863,11 @@ void G_Damage( gentity_t *targ, gentity_
 		}
 		return;
 	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	if( g_gametype.integer == GT_OBELISK && CheckObeliskAttack( targ, attacker ) ) {
 		return;
 	}
-//#endif
+#endif
 	// reduce damage by the attacker's handicap value
 	// unless they are rocket jumping
 	if ( attacker->client && attacker != targ ) {
@@ -921,8 +880,7 @@ void G_Damage( gentity_t *targ, gentity_
 		damage = damage * max / 100;
 	}
 
-        //Sago: I have moved this up
-	//client = targ->client;
+	client = targ->client;
 
 	if ( client ) {
 		if ( client->noclip ) {
@@ -972,13 +930,6 @@ void G_Damage( gentity_t *targ, gentity_
 			targ->client->ps.pm_time = t;
 			targ->client->ps.pm_flags |= PMF_TIME_KNOCKBACK;
 		}
-                //Remeber the last person to hurt the player
-                if( g_awardpushing.integer==0 || targ==attacker || OnSameTeam (targ, attacker)) {
-                    targ->client->lastSentFlying = -1;
-                } else {
-                    targ->client->lastSentFlying = attacker->s.number;
-                    targ->client->lastSentFlyingTime = level.time;
-                }
 	}
 
 	// check for completely getting out of the damage
@@ -991,11 +942,11 @@ void G_Damage( gentity_t *targ, gentity_
 #else	
 		if ( targ != attacker && OnSameTeam (targ, attacker)  ) {
 #endif
-			if ( ( !g_friendlyFire.integer && g_gametype.integer != GT_ELIMINATION && g_gametype.integer != GT_CTF_ELIMINATION ) || ( g_elimination_selfdamage.integer<2 &&	(g_gametype.integer == GT_ELIMINATION || g_gametype.integer == GT_CTF_ELIMINATION) ) ) {
+			if ( !g_friendlyFire.integer ) {
 				return;
 			}
 		}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 		if (mod == MOD_PROXIMITY_MINE) {
 			if (inflictor && inflictor->parent && OnSameTeam(targ, inflictor->parent)) {
 				return;
@@ -1004,7 +955,7 @@ void G_Damage( gentity_t *targ, gentity_
 				return;
 			}
 		}
-//#endif
+#endif
 
 		// check for godmode
 		if ( targ->flags & FL_GODMODE ) {
@@ -1043,19 +994,6 @@ void G_Damage( gentity_t *targ, gentity_
 	if ( damage < 1 ) {
 		damage = 1;
 	}
-
-	if ((g_gametype.integer == GT_ELIMINATION || g_gametype.integer == GT_CTF_ELIMINATION || g_gametype.integer == GT_LMS) 
-				&& g_elimination_selfdamage.integer<1 && ( targ == attacker ||  mod == MOD_FALLING )) {
-		damage = 0;
-	}
-
-
-//So people can be telefragged!
-	if ((g_gametype.integer == GT_ELIMINATION || g_gametype.integer == GT_CTF_ELIMINATION || g_gametype.integer == GT_LMS) && level.time < level.roundStartTime && ((mod == MOD_LAVA) || (mod == MOD_SLIME)) ) {
-		damage = 1000;
-	}
-
-
 	take = damage;
 	save = 0;
 
@@ -1074,9 +1012,7 @@ void G_Damage( gentity_t *targ, gentity_
 	if ( client ) {
 		if ( attacker ) {
 			client->ps.persistant[PERS_ATTACKER] = attacker->s.number;
-                } else if(client->lastSentFlying) {
-                        client->ps.persistant[PERS_ATTACKER] = client->lastSentFlying;
-                } else {
+		} else {
 			client->ps.persistant[PERS_ATTACKER] = ENTITYNUM_WORLD;
 		}
 		client->damage_armor += asave;
@@ -1093,9 +1029,9 @@ void G_Damage( gentity_t *targ, gentity_
 
 	// See if it's the player hurting the emeny flag carrier
 #ifdef MISSIONPACK
-	if( g_gametype.integer == GT_CTF || g_gametype.integer == GT_1FCTF || g_gametype.integer == GT_CTF_ELIMINATION) {
+	if( g_gametype.integer == GT_CTF || g_gametype.integer == GT_1FCTF ) {
 #else	
-	if( g_gametype.integer == GT_CTF || g_gametype.integer == GT_CTF_ELIMINATION) {
+	if( g_gametype.integer == GT_CTF) {
 #endif
 		Team_CheckHurtCarrier(targ, attacker);
 	}
@@ -1106,17 +1042,6 @@ void G_Damage( gentity_t *targ, gentity_
 		targ->client->lasthurt_mod = mod;
 	}
 
-	//If vampire is enabled, gain health but not from self or teammate, cannot steal more than targ has
-	if((targ != attacker) && !(OnSameTeam(targ, attacker)) && g_vampire.value>0.0)
-	{
-		if(take<targ->health)
-			attacker->health += (int)(((float)take)*g_vampire.value);
-		else
-			attacker->health += (int)(((float)targ->health)*g_vampire.value);
-		if(attacker->health>g_vampireMaxHealth.integer)
-			attacker->health = g_vampireMaxHealth.integer;
-	}
-
 	// do the damage
 	if (take) {
 		targ->health = targ->health - take;
@@ -1130,7 +1055,7 @@ void G_Damage( gentity_t *targ, gentity_
 
 			if (targ->health < -999)
 				targ->health = -999;
-                        
+
 			targ->enemy = attacker;
 			targ->die (targ, inflictor, attacker, take, mod);
 			return;
@@ -1139,7 +1064,6 @@ void G_Damage( gentity_t *targ, gentity_
 		}
 	}
 
-	
 }
 
 
diff -upr ioquake3svn1438/code/game/g_items.c ioquake3serverFix/code/game/g_items.c
--- ioquake3svn1438/code/game/g_items.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/g_items.c	2008-08-09 11:28:21.000000000 -0500
@@ -86,7 +86,7 @@ int Pickup_Powerup( gentity_t *ent, gent
 
     // if same team in team game, no sound
     // cannot use OnSameTeam as it expects to g_entities, not clients
-  	if ( g_gametype.integer >= GT_TEAM && g_ffa_gt==0 && other->client->sess.sessionTeam == client->sess.sessionTeam  ) {
+  	if ( g_gametype.integer >= GT_TEAM && other->client->sess.sessionTeam == client->sess.sessionTeam  ) {
       continue;
     }
 
@@ -419,23 +419,6 @@ void Touch_Item (gentity_t *ent, gentity
 	int			respawn;
 	qboolean	predict;
 
-	//instant gib
-	if ((g_instantgib.integer || g_rockets.integer || g_gametype.integer == GT_CTF_ELIMINATION) && ent->item->giType != IT_TEAM)
-		return;
-
-	//Cannot touch flag before round starts
-	if(g_gametype.integer == GT_CTF_ELIMINATION && level.roundNumber != level.roundNumberStarted)
-		return;
-
-	//Cannot take ctf elimination oneway
-	if(g_gametype.integer == GT_CTF_ELIMINATION && g_elimination_ctf_oneway.integer!=0 && (
-			(other->client->sess.sessionTeam==TEAM_BLUE && (level.eliminationSides+level.roundNumber)%2 == 0 ) ||
-			(other->client->sess.sessionTeam==TEAM_RED && (level.eliminationSides+level.roundNumber)%2 != 0 ) ))
-		return;
-
-	if (g_gametype.integer == GT_ELIMINATION || g_gametype.integer == GT_LMS)
-		return;		//nothing to pick up in elimination
-
 	if (!other->client)
 		return;
 	if (other->health < 1)
@@ -446,16 +429,6 @@ void Touch_Item (gentity_t *ent, gentity
 		return;
 	}
 
-	//In double DD we cannot "pick up" a flag we already got
-	if(g_gametype.integer == GT_DOUBLE_D) {
-		if( strcmp(ent->classname, "team_CTF_redflag") == 0 )
-			if(other->client->sess.sessionTeam == level.pointStatusA)
-				return;
-		if( strcmp(ent->classname, "team_CTF_blueflag") == 0 )
-			if(other->client->sess.sessionTeam == level.pointStatusB)
-				return;
-	}
-
 	G_LogPrintf( "Item: %i %s\n", other->s.number, ent->item->classname );
 
 	predict = other->client->pers.predictItemPickup;
@@ -610,10 +583,10 @@ gentity_t *LaunchItem( gitem_t *item, ve
 	VectorCopy( velocity, dropped->s.pos.trDelta );
 
 	dropped->s.eFlags |= EF_BOUNCE_HALF;
-#if 1 //MISSIONPACK
-	if ((g_gametype.integer == GT_CTF || g_gametype.integer == GT_1FCTF || g_gametype.integer == GT_CTF_ELIMINATION || g_gametype.integer == GT_DOUBLE_D)			&& item->giType == IT_TEAM) { // Special case for CTF flags
+#ifdef MISSIONPACK
+	if ((g_gametype.integer == GT_CTF || g_gametype.integer == GT_1FCTF)			&& item->giType == IT_TEAM) { // Special case for CTF flags
 #else
-	if ((g_gametype.integer == GT_CTF || g_gametype.integer == GT_CTF_ELIMINATION || g_gametype.integer == GT_DOUBLE_D)&& item->giType == IT_TEAM) { // Special case for CTF flags
+	if (g_gametype.integer == GT_CTF && item->giType == IT_TEAM) { // Special case for CTF flags
 #endif
 		dropped->think = Team_DroppedFlagThink;
 		dropped->nextthink = level.time + 30000;
@@ -716,9 +689,7 @@ void FinishSpawningItem( gentity_t *ent 
 		return;
 	}
 
-	
-	// powerups don't spawn in for a while (but not in elimination)
-	if(g_gametype.integer != GT_ELIMINATION && g_gametype.integer != GT_CTF_ELIMINATION && g_gametype.integer != GT_LMS && !g_instantgib.integer && !g_rockets.integer )	
+	// powerups don't spawn in for a while
 	if ( ent->item->giType == IT_POWERUP ) {
 		float	respawn;
 
@@ -747,7 +718,7 @@ void G_CheckTeamItems( void ) {
 	// Set up team stuff
 	Team_InitGame();
 
-	if( g_gametype.integer == GT_CTF || g_gametype.integer == GT_CTF_ELIMINATION || g_gametype.integer == GT_DOUBLE_D) {
+	if( g_gametype.integer == GT_CTF ) {
 		gitem_t	*item;
 
 		// check for the two flags
@@ -760,7 +731,7 @@ void G_CheckTeamItems( void ) {
 			G_Printf( S_COLOR_YELLOW "WARNING: No team_CTF_blueflag in map" );
 		}
 	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	if( g_gametype.integer == GT_1FCTF ) {
 		gitem_t	*item;
 
@@ -818,7 +789,7 @@ void G_CheckTeamItems( void ) {
 			G_Printf( S_COLOR_YELLOW "WARNING: No team_neutralobelisk in map" );
 		}
 	}
-//#endif
+#endif
 }
 
 /*
@@ -829,59 +800,15 @@ ClearRegisteredItems
 void ClearRegisteredItems( void ) {
 	memset( itemRegistered, 0, sizeof( itemRegistered ) );
 
-	if(g_instantgib.integer) {
-		//Always load Gauntlet and machine gun because g_instantgib might suddenly change
-		RegisterItem( BG_FindItemForWeapon( WP_GAUNTLET ) );
-		RegisterItem( BG_FindItemForWeapon( WP_MACHINEGUN ) );
-		RegisterItem( BG_FindItemForWeapon( WP_RAILGUN ) );
-	}
-	if(g_rockets.integer) {
-		RegisterItem( BG_FindItemForWeapon( WP_GAUNTLET ) );
-		RegisterItem( BG_FindItemForWeapon( WP_MACHINEGUN ) );
-		RegisterItem( BG_FindItemForWeapon( WP_ROCKET_LAUNCHER ) );
-	}
-	else
-	{
-		// players always start with the base weapon
-		RegisterItem( BG_FindItemForWeapon( WP_MACHINEGUN ) );
-		RegisterItem( BG_FindItemForWeapon( WP_GAUNTLET ) );
-		if(g_gametype.integer == GT_ELIMINATION || g_gametype.integer == GT_CTF_ELIMINATION || g_gametype.integer == GT_LMS)
-		{
-			RegisterItem( BG_FindItemForWeapon( WP_SHOTGUN ) );
-			RegisterItem( BG_FindItemForWeapon( WP_GRENADE_LAUNCHER ) );
-			RegisterItem( BG_FindItemForWeapon( WP_ROCKET_LAUNCHER ) );
-			RegisterItem( BG_FindItemForWeapon( WP_LIGHTNING ) );
-			RegisterItem( BG_FindItemForWeapon( WP_RAILGUN ) );
-			RegisterItem( BG_FindItemForWeapon( WP_PLASMAGUN ) );
-			RegisterItem( BG_FindItemForWeapon( WP_BFG ) );
-//#ifdef MISSIONPACK
-			RegisterItem( BG_FindItemForWeapon( WP_NAILGUN ) );
-			RegisterItem( BG_FindItemForWeapon( WP_PROX_LAUNCHER ) );
-			RegisterItem( BG_FindItemForWeapon( WP_CHAINGUN ) );
-//#endif
-		}
-	}
-//#ifdef MISSIONPACK
+	// players always start with the base weapon
+	RegisterItem( BG_FindItemForWeapon( WP_MACHINEGUN ) );
+	RegisterItem( BG_FindItemForWeapon( WP_GAUNTLET ) );
+#ifdef MISSIONPACK
 	if( g_gametype.integer == GT_HARVESTER ) {
 		RegisterItem( BG_FindItem( "Red Cube" ) );
 		RegisterItem( BG_FindItem( "Blue Cube" ) );
 	}
-//#endif
-	if(g_gametype.integer == GT_DOUBLE_D ) {
-		RegisterItem( BG_FindItem( "Point A (Blue)" ) );
-		RegisterItem( BG_FindItem( "Point A (Red)" ) );
-		RegisterItem( BG_FindItem( "Point A (White)" ) );
-		RegisterItem( BG_FindItem( "Point B (Blue)" ) );
-		RegisterItem( BG_FindItem( "Point B (Red)" ) );
-		RegisterItem( BG_FindItem( "Point B (White)" ) );
-	}
-
-	if(g_gametype.integer == GT_DOMINATION ) {
-		RegisterItem( BG_FindItem( "Neutral domination point" ) );
-		RegisterItem( BG_FindItem( "Red domination point" ) );
-		RegisterItem( BG_FindItem( "Blue domination point" ) );
-	}
-	
+#endif
 }
 
 /*
@@ -954,18 +881,9 @@ void G_SpawnItem (gentity_t *ent, gitem_
 	G_SpawnFloat( "random", "0", &ent->random );
 	G_SpawnFloat( "wait", "0", &ent->wait );
 
-	//Load all items in instantgib anyway or we will be in trouble if it is suddenly disabled!
-	//if((item->giType == IT_TEAM && g_instantgib.integer) || !g_instantgib.integer)
-	{
-		//Don't load pickups in Elimination (or maybe... gives warnings)
-		if (g_gametype.integer != GT_ELIMINATION && g_gametype.integer != GT_CTF_ELIMINATION && g_gametype.integer != GT_LMS)
-			RegisterItem( item );
-		//Registrer flags anyway in CTF Elimination:
-		if (g_gametype.integer == GT_CTF_ELIMINATION && item->giType == IT_TEAM)
-			RegisterItem( item );
-		if ( G_ItemDisabled(item) )
-			return;
-	}
+	RegisterItem( item );
+	if ( G_ItemDisabled(item) )
+		return;
 
 	ent->item = item;
 	// some movers spawn on the second frame, so delay item
@@ -975,17 +893,6 @@ void G_SpawnItem (gentity_t *ent, gitem_
 
 	ent->physicsBounce = 0.50;		// items are bouncy
 
-	if (g_gametype.integer == GT_ELIMINATION || g_gametype.integer == GT_LMS || 
-			( item->giType != IT_TEAM && (g_instantgib.integer || g_rockets.integer || g_gametype.integer==GT_CTF_ELIMINATION) ) )
-		ent->s.eFlags |= EF_NODRAW; //Invisible in elimination
-
-	if(g_gametype.integer == GT_DOUBLE_D && (strcmp(ent->classname, "team_CTF_redflag")==0 || strcmp(ent->classname, "team_CTF_blueflag")==0 || strcmp(ent->classname, "team_CTF_neutralflag") == 0 || item->giType == IT_PERSISTANT_POWERUP  ))
-		ent->s.eFlags |= EF_NODRAW; //Don't draw the flag models/persistant powerups
-
-//#ifdef MISSIONPACK
-	if(g_gametype.integer == GT_CTF_ELIMINATION && strcmp(ent->classname, "team_CTF_neutralflag") == 0)
-		ent->s.eFlags |= EF_NODRAW; // Don't draw the flag in CTF_elimination
-//#endif
 	if ( item->giType == IT_POWERUP ) {
 		G_SoundIndex( "sound/items/poweruprespawn.wav" );
 		G_SpawnFloat( "noglobalsound", "0", &ent->speed);
diff -upr ioquake3svn1438/code/game/g_local.h ioquake3serverFix/code/game/g_local.h
--- ioquake3svn1438/code/game/g_local.h	2008-07-07 15:53:23.000000000 -0500
+++ ioquake3serverFix/code/game/g_local.h	2008-08-09 11:28:21.000000000 -0500
@@ -42,9 +42,6 @@ Foundation, Inc., 51 Franklin St, Fifth 
 #define	INTERMISSION_DELAY_TIME	1000
 #define	SP_INTERMISSION_DELAY_TIME	5000
 
-//Domination how many seconds between awarded a point
-#define DOM_SECSPERPOINT	2000
-
 // gentity->flags
 #define	FL_GODMODE				0x00000010
 #define	FL_NOTARGET				0x00000020
@@ -239,10 +236,6 @@ typedef struct {
 #define MAX_NETNAME			36
 #define	MAX_VOTE_COUNT		3
 
-//unlagged - true ping
-#define NUM_PING_SAMPLES 64
-//unlagged - true ping
-
 // client data that stays across multiple respawns, but is cleared
 // on each level change or team change at ClientBegin()
 typedef struct {
@@ -259,41 +252,8 @@ typedef struct {
 	int			voteCount;			// to prevent people from constantly calling votes
 	int			teamVoteCount;		// to prevent people from constantly calling votes
 	qboolean	teamInfo;			// send team overlay updates?
-	//elimination:
-	int		roundReached;			//Only spawn if we are new to this round
-	int		livesLeft;			//lives in LMS
-
-//unlagged - client options
-	// these correspond with variables in the userinfo string
-	int			delag;
-//	int			debugDelag;
-	int			cmdTimeNudge;
-//unlagged - client options
-//unlagged - lag simulation #2
-/*	int			latentSnaps;
-	int			latentCmds;
-	int			plOut;
-	usercmd_t	cmdqueue[MAX_LATENT_CMDS];
-	int			cmdhead;*/
-//unlagged - lag simulation #2
-//unlagged - true ping
-	int			realPing;
-	int			pingsamples[NUM_PING_SAMPLES];
-	int			samplehead;
-//unlagged - true ping
 } clientPersistant_t;
 
-//unlagged - backward reconciliation #1
-// the size of history we'll keep
-#define NUM_CLIENT_HISTORY 17
-
-// everything we need to know to backward reconcile
-typedef struct {
-	vec3_t		mins, maxs;
-	vec3_t		currentOrigin;
-	int			leveltime;
-} clientHistory_t;
-//unlagged - backward reconciliation #1
 
 // this structure is cleared on each ClientSpawn(),
 // except for 'client->pers' and 'client->sess'
@@ -309,8 +269,7 @@ struct gclient_s {
 
 	qboolean	noclip;
 
-	//Unlagged - commented out - handled differently
-	//int			lastCmdTime;		// level.time of last usercmd_t, for EF_CONNECTION
+	int			lastCmdTime;		// level.time of last usercmd_t, for EF_CONNECTION
 									// we can't just use pers.lastCommand.time, because
 									// of the g_sycronousclients case
 	int			buttons;
@@ -360,36 +319,10 @@ struct gclient_s {
 	gentity_t	*persistantPowerup;
 	int			portalID;
 	int			ammoTimes[WP_NUM_WEAPONS];
+	int			invulnerabilityTime;
 #endif
-        int			invulnerabilityTime;
-
 
 	char		*areabits;
-
-	qboolean	isEliminated;			//Has been killed in this round
-        
-        int lastSentFlying;                             //The last client that sent the player flying
-        int lastSentFlyingTime;                         //So we can time out
-
-	//unlagged - backward reconciliation #1
-	// the serverTime the button was pressed
-	// (stored before pmove_fixed changes serverTime)
-	int			attackTime;
-	// the head of the history queue
-	int			historyHead;
-	// the history queue
-	clientHistory_t	history[NUM_CLIENT_HISTORY];
-	// the client's saved position
-	clientHistory_t	saved;			// used to restore after time shift
-	// an approximation of the actual server time we received this
-	// command (not in 50ms increments)
-	int			frameOffset;
-//unlagged - backward reconciliation #1
-
-//unlagged - smooth clients #1
-	// the last frame number we got an update from this client
-	int			lastUpdateFrame;
-//unlagged - smooth clients #1
 };
 
 
@@ -480,32 +413,6 @@ typedef struct {
 #ifdef MISSIONPACK
 	int			portalSequence;
 #endif
-	//Added for elimination:
-	int roundStartTime;		//time the current round was started
-	int roundNumber;			//The round number we have reached
-	int roundNumberStarted;			//1 less than roundNumber if we are allowed to spawn
-	int roundRedPlayers;			//How many players was there at start of round
-	int roundBluePlayers;			//used to find winners in a draw.
-	qboolean roundRespawned;		//We have respawned for this round!
-	int eliminationSides;			//Random, change red/blue bases
-
-	//Added for Double Domination
-	//Points get status: TEAM_FREE for not taking, TEAM_RED/TEAM_BLUE for taken and TEAM_NONE for not spawned yet
-	int pointStatusA;			//Status of the RED (A) domination point
-	int pointStatusB;			//Status of the BLUE (B) doimination point
-	int timeTaken;				//Time team started having both points
-	//use roundStartTime for telling, then the points respawn
-
-	//Added for standard domination
-	int pointStatusDom[MAX_DOMINATION_POINTS]; //Holds the owner of all the points
-	int dom_scoreGiven;				//Number of times we have provided scores
-	int domination_points_count;
-	char domination_points_names[MAX_DOMINATION_POINTS][MAX_DOMINATION_POINTS_NAMES];
-
-//unlagged - backward reconciliation #4
-	// actual time this server frame started
-	int			frameStartTime;
-//unlagged - backward reconciliation #4
 } level_locals_t;
 
 
@@ -612,7 +519,6 @@ void TossClientCubes( gentity_t *self );
 // g_missile.c
 //
 void G_RunMissile( gentity_t *ent );
-void ProximityMine_RemoveAll( void );
 
 gentity_t *fire_blaster (gentity_t *self, vec3_t start, vec3_t aimdir);
 gentity_t *fire_plasma (gentity_t *self, vec3_t start, vec3_t aimdir);
@@ -620,10 +526,10 @@ gentity_t *fire_grenade (gentity_t *self
 gentity_t *fire_rocket (gentity_t *self, vec3_t start, vec3_t dir);
 gentity_t *fire_bfg (gentity_t *self, vec3_t start, vec3_t dir);
 gentity_t *fire_grapple (gentity_t *self, vec3_t start, vec3_t dir);
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 gentity_t *fire_nail( gentity_t *self, vec3_t start, vec3_t forward, vec3_t right, vec3_t up );
 gentity_t *fire_prox( gentity_t *self, vec3_t start, vec3_t aimdir );
-//#endif
+#endif
 
 
 //
@@ -653,38 +559,16 @@ void DropPortalDestination( gentity_t *e
 //
 qboolean LogAccuracyHit( gentity_t *target, gentity_t *attacker );
 void CalcMuzzlePoint ( gentity_t *ent, vec3_t forward, vec3_t right, vec3_t up, vec3_t muzzlePoint );
-//unlagged - attack prediction #3
-// we're making this available to both games
 void SnapVectorTowards( vec3_t v, vec3_t to );
-//unlagged - attack prediction #3
 qboolean CheckGauntletAttack( gentity_t *ent );
 void Weapon_HookFree (gentity_t *ent);
 void Weapon_HookThink (gentity_t *ent);
 
-//unlagged - g_unlagged.c
-void G_ResetHistory( gentity_t *ent );
-void G_StoreHistory( gentity_t *ent );
-void G_TimeShiftAllClients( int time, gentity_t *skip );
-void G_UnTimeShiftAllClients( gentity_t *skip );
-void G_DoTimeShiftFor( gentity_t *ent );
-void G_UndoTimeShiftFor( gentity_t *ent );
-void G_UnTimeShiftClient( gentity_t *client );
-void G_PredictPlayerMove( gentity_t *ent, float frametime );
-//unlagged - g_unlagged.c
 
 //
 // g_client.c
 //
 team_t TeamCount( int ignoreClientNum, int team );
-team_t TeamLivingCount( int ignoreClientNum, int team ); //Elimination
-team_t TeamHealthCount( int ignoreClientNum, int team ); //Elimination
-void RespawnAll(void); //For round elimination
-void RespawnDead(void);
-void EnableWeapons(void);
-void DisableWeapons(void);
-void EndEliminationRound(void);
-void LMSpoint(void);
-//void wins2score(void);
 int TeamLeader( int team );
 team_t PickTeam( int ignoreClientNum );
 void SetClientViewAngle( gentity_t *ent, vec3_t angle );
@@ -721,17 +605,11 @@ void G_StartKamikaze( gentity_t *ent );
 //
 void MoveClientToIntermission (gentity_t *client);
 void G_SetStats (gentity_t *ent);
+void DeathmatchScoreboardMessage (gentity_t *client);
 
 //
 // g_cmds.c
-// Also another place /Sago
-
-void DoubleDominationScoreTimeMessage( gentity_t *ent );
-void AttackingTeamMessage( gentity_t *ent );
-void DeathmatchScoreboardMessage (gentity_t *client);
-void EliminationMessage (gentity_t *client);
-void DominationPointNamesMessage (gentity_t *client);
-void DominationPointStatusMessage( gentity_t *ent );
+//
 
 //
 // g_pweapon.c
@@ -747,9 +625,6 @@ void CheckTeamLeader( int team );
 void G_RunThink (gentity_t *ent);
 void QDECL G_LogPrintf( const char *fmt, ... );
 void SendScoreboardMessageToAllClients( void );
-void SendEliminationMessageToAllClients( void );
-void SendDDtimetakenMessageToAllClients( void );
-void SendDominationPointsStatusMessageToAllClients( void );
 void QDECL G_Printf( const char *fmt, ... );
 void QDECL G_Error( const char *fmt, ... );
 
@@ -879,84 +754,16 @@ extern	vmCvar_t	g_obeliskRegenPeriod;
 extern	vmCvar_t	g_obeliskRegenAmount;
 extern	vmCvar_t	g_obeliskRespawnDelay;
 extern	vmCvar_t	g_cubeTimeout;
+extern	vmCvar_t	g_redteam;
+extern	vmCvar_t	g_blueteam;
 extern	vmCvar_t	g_smoothClients;
 extern	vmCvar_t	pmove_fixed;
 extern	vmCvar_t	pmove_msec;
 extern	vmCvar_t	g_rankings;
-#ifdef MISSIONPACK
 extern	vmCvar_t	g_enableDust;
 extern	vmCvar_t	g_enableBreath;
 extern	vmCvar_t	g_singlePlayer;
-extern	vmCvar_t	g_redteam;
-extern	vmCvar_t	g_blueteam;
-#endif
 extern	vmCvar_t	g_proxMineTimeout;
-extern	vmCvar_t	g_music;
-
-//elimination:
-extern	vmCvar_t	g_elimination_selfdamage;
-extern	vmCvar_t	g_elimination_startHealth;
-extern	vmCvar_t	g_elimination_startArmor;
-extern	vmCvar_t	g_elimination_bfg;
-extern	vmCvar_t	g_elimination_roundtime;
-extern	vmCvar_t	g_elimination_warmup;
-extern	vmCvar_t	g_elimination_activewarmup;
-//more weapons in beta 9:
-extern	vmCvar_t	g_elimination_machinegun;
-extern	vmCvar_t	g_elimination_shotgun;
-extern	vmCvar_t	g_elimination_grenade;
-extern	vmCvar_t	g_elimination_rocket;
-extern	vmCvar_t	g_elimination_railgun;
-extern	vmCvar_t	g_elimination_lightning;
-extern	vmCvar_t	g_elimination_plasmagun;
-//#ifdef MISSIONPACK
-extern	vmCvar_t	g_elimination_chain;
-extern	vmCvar_t	g_elimination_mine;
-extern	vmCvar_t	g_elimination_nail;
-//#endif
-
-extern vmCvar_t		g_rockets;
-
-//new in elimination Beta2
-extern vmCvar_t		g_instantgib;
-extern vmCvar_t		g_vampire;
-extern vmCvar_t		g_vampireMaxHealth;
-//new in elimination Beta3
-extern vmCvar_t		g_regen;
-//Free for all gametype
-extern int		g_ffa_gt; //0 = TEAM GAME, 1 = FFA, 2 = TEAM GAME without bases
-
-//beta 5
-extern vmCvar_t		g_lms_lives;
-
-//beta 8
-extern vmCvar_t		g_lms_mode; //How do we score: 0 = One Survivor get a point, 1 = same but without overtime, 2 = one point for each player killed (+overtime), 3 = same without overtime
-
-//beta 10
-extern vmCvar_t		g_elimination_ctf_oneway;	//Only attack in one direction (level.eliminationSides+level.roundNumber)%2 == 0 red attacks
-
-//beta 18 (oa 0.7.6)
-extern vmCvar_t         g_awardpushing; //The server can decide if players are awarded for pushing people in lave etc.
-
-//beta 19
-extern vmCvar_t        g_voteNames;
-extern vmCvar_t        g_voteMaps;
-extern vmCvar_t        g_voteGametypes;
-extern vmCvar_t        g_voteMinTimelimit;
-extern vmCvar_t        g_voteMaxTimelimit;
-extern vmCvar_t        g_voteMinFraglimit;
-extern vmCvar_t        g_voteMaxFraglimit;
-
-//new in beta 23
-extern vmCvar_t        g_humanplayers;
-
-//unlagged - server options
-// some new server-side variables
-extern	vmCvar_t	g_delagHitscan;
-extern	vmCvar_t	g_truePing;
-// this is for convenience - using "sv_fps.integer" is nice :)
-extern	vmCvar_t	sv_fps;
-//unlagged - server options
 
 void	trap_Printf( const char *fmt );
 void	trap_Error( const char *fmt );
